Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.unitn.ds.peersim.fds
Class FDParameters

    java.lang.Object
      it.unitn.ds.peersim.fds.FDParameters

    public class FDParameters

extends java.lang.Object

Distributed Systems Course Project

Year: 2009/2010

University of Trento

FDParameters -.

Version:
  1.0
Author:
  Avancini Mattia, Giampaolo Farina
See Also:
  `http://peersim.sourceforge.net/`

Field Summary
`static java.lang.String` | `FAILED` The FAILED.
`static java.lang.String` | `P_WRONG_SUSPECTED` The P_ wron g_ suspected.
`static java.lang.String` | `PROB` The PROB.
`static java.lang.String` | `TIME_THRESHOLD` The THRESHOLD.

Constructor Summary
`FDParameters()` Instantiates a new fD parameters.
`FDParameters(double probability, int timeThreshold, int nPWrongSuspected, int failed)` Instantiates a new fD parameters.

Method Summary
`int` | `getFailed()` Gets the failed.
`int` | `getNPossibleWrongSuspected()` Gets the n possible wrong suspected.
`double` | `getProb()` Gets the prob.
`int` | `getTimeThreshold()` Gets the time threshold.
`void` | `setFailed(int failed)` Sets the failed.
`void` | `setNPossibleWrongSuspected(int nPossibleWrongSuspected)` Sets the n possible wrong suspected.
`void` | `setProb(double prob)` Sets the prob.
`void` | `setTimeThreshold(int timeThreshold)` Sets the time threshold.
`java.lang.String` | `toString()` To string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROB

    public static java.lang.String PROB

  The PROB.

### P_WRONG_SUSPECTED

    public static java.lang.String P_WRONG_SUSPECTED

  The P_ wron g_ suspected.

### TIME_THRESHOLD

    public static java.lang.String TIME_THRESHOLD

  The THRESHOLD.

### FAILED

    public static java.lang.String FAILED

  The FAILED.

Constructor Detail

### FDParameters

    public FDParameters()

  Instantiates a new fD parameters.

### FDParameters

    public FDParameters(double probability,
                        int timeThreshold,
                        int nPWrongSuspected,
                        int failed)

  Instantiates a new fD parameters.

  Parameters:
    `probability` - the probability
    `timeThreshold` - the time threshold
    `nPWrongSuspected` - the n p wrong suspected
    `failed` - the failed

Method Detail

### getProb

    public double getProb()

  Gets the prob.

  Returns:
    the prob

### setProb

    public void setProb(double prob)

  Sets the prob.

  Parameters:
    `prob` - the new prob

### getTimeThreshold

    public int getTimeThreshold()

  Gets the time threshold.

  Returns:
    the timeThreshold

### setTimeThreshold

    public void setTimeThreshold(int timeThreshold)

  Sets the time threshold.

  Parameters:
    `timeThreshold` - the timeThreshold to set

### getNPossibleWrongSuspected

    public int getNPossibleWrongSuspected()

  Gets the n possible wrong suspected.

  Returns:
    the n possible wrong suspected

### setNPossibleWrongSuspected

    public void setNPossibleWrongSuspected(int nPossibleWrongSuspected)

  Sets the n possible wrong suspected.

  Parameters:
    `nPossibleWrongSuspected` - the new n possible wrong suspected

### getFailed

    public int getFailed()

  Gets the failed.

  Returns:
    the failed

### setFailed

    public void setFailed(int failed)

  Sets the failed.

  Parameters:
    `failed` - the new failed

### toString

    public java.lang.String toString()

  To string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD